## typo3-src 4.3.3

=== debian/changelog ===
typo3-src (4.3.3-2) unstable; urgency=low

  * Moved source format from "1.0" to "3.0 (quilt)".
  * Removed README.source.
  * Removed dpatch system.
  * Moved debian/patches/00list to debian/patches/series, modified it.
  * Moved debian/patches/*.dpatch to debian/patches/*.patch, removed
    dpatch specific code.
  * Changed dependency "libapache2-mod-php5 | php5-cgi" to "php5"

 -- Christian Welzel <gawain@camlann.de>  Wed, 05 May 2010 17:27:41 +0200

typo3-src (4.3.3-1) unstable; urgency=medium

  * New upstream release:
    - fixes "TYPO3 Security Bulletin TYPO3-SA-2010-008:
      Remote Command Execution in TYPO3 Core" (Closes: 577993)
  * Added file debian/source/format with "1.0" as content.

 -- Christian Welzel <gawain@camlann.de>  Thu, 22 Apr 2010 22:00:00 +0100

typo3-src (4.3.2-1) unstable; urgency=high

  * New upstream release:
    - fixes "TYPO3 Security Bulletin TYPO3-SA-2010-004: Multiple
      vulnerabilities in TYPO3 Core" (Closes: 571151)

 -- Christian Welzel <gawain@camlann.de>  Wed, 24 Feb 2010 22:00:00 +0100

typo3-src (4.3.1-2) unstable; urgency=low

  * fixed wrong link to prototype javascript library (Closes: 561095)
  * raised standards version to 3.8.4

 -- Christian Welzel <gawain@camlann.de>  Sat, 13 Feb 2010 15:00:00 +0100

typo3-src (4.3.1-1) unstable; urgency=high

  * New upstream release:
    - fixes "TYPO3 Security Bulletin TYPO3-SA-2010-001: Authentication
      Bypass in TYPO3 Core" (Closes: 567163)
  * fixed spelling error in typo3-database.README.Debian.

 -- Christian Welzel <gawain@camlann.de>  Fri, 29 Jan 2010 18:00:00 +0100

typo3-src (4.3.0-1) unstable; urgency=low

  * New upstream release.
  * Fixed "dpkg-gencontrol: Warnung: relation > is deprecated: use >> or >=".
  * debian/rules: Added target find-sql to get a list of important sql-files.
    (needed for maintainance only)
  * debian/mysql: SQL commands for populating mysql don't include help texts
    anymore, to make the package smaller. They can be imported with the TYPO3
    database-assistant.

 -- Christian Welzel <gawain@camlann.de>  Thu, 03 Dec 2009 22:00:00 +0100

typo3-src (4.3.0~beta2-1) experimental; urgency=high

  * New upstream release.
    - fixes "TYPO3 Security Bulletin TYPO3-SA-2009-016: Multiple
      vulnerabilities in TYPO3 Core" (Closes: 552020)

 -- Christian Welzel <gawain@camlann.de>  Thu, 22 Oct 2009 22:00:00 +0100

typo3-src (4.3.0~beta1-1) experimental; urgency=low

  * New upstream release.
  * Raised standards version to 3.8.3.
  * Added lintian override for non-free-flash error. The flvplayer.swf is
    based on the GPL licensed anarchy player.
  * Added README.source. Texts points to dpatchs README.source.
  * Added version mangling to watch file (Closes: 539489)
  * Added license of typo3/contrib/flashmedia/player.swf to "copyright".

 -- Christian Welzel <gawain@camlann.de>  Mon, 12 Oct 2009 22:00:00 +0100

typo3-src (4.3.0~alpha3-1) experimental; urgency=low

  * New upstream release.
  * Raised standards version to 3.8.1.
  * Raised compat version to 5.
  * Added dephelper depends.
  * Moved homepage to header field.
  * Added lintian override for embedded-php-library in open-id (the 
    version shipped is a stripped down and patched version for TYPO3).
  * Added README file for typo3-database.

 -- Christian Welzel <gawain@camlann.de>  Sun, 07 Jun 2009 20:00:00 +0100

typo3-src (4.3.0~alpha2-1) experimental; urgency=low

  * New upstream release.
  * Degraded binary package typo3 to a meta package.
  * Added new binary package typo3-database.
  * Dependency cleanup for the binary package typo3-src.
  * Some cleanup in README files.
  * Rewritten long description.
  * Added debian/mysql, a manually created database dump of an empty TYPO3 DB.
  * Integrated dbconfig-common in maintenance mode.

 -- Christian Welzel <gawain@camlann.de>  Sun, 22 Mar 2009 20:00:00 +0100

typo3-src (4.2.10-1) unstable; urgency=high

  * New upstream release.
    - fixes "TYPO3 Security Bulletin TYPO3-SA-2009-016: Multiple
      vulnerabilities in TYPO3 Core" (Closes: 552020)

 -- Christian Welzel <gawain@camlann.de>  Thu, 22 Oct 2009 22:00:00 +0100

typo3-src (4.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Christian Welzel <gawain@camlann.de>  Mon, 12 Oct 2009 22:00:00 +0100

typo3-src (4.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Christian Welzel <gawain@camlann.de>  Sat, 04 Jul 2009 17:00:00 +0100

typo3-src (4.2.6-1) unstable; urgency=high

  * New upstream release.
    - fixes TYPO3 Security Bulletin TYPO3-SA-2009-002: Information
      disclosure and XSS vulnerabilities in TYPO3 (Closes: 514713)

 -- Christian Welzel <gawain@camlann.de>  Mon, 10 Feb 2009 12:00:00 +0100

typo3-src (4.2.5-1) unstable; urgency=medium

  * New upstream release.
    - fixes a serious bug in session handling with not logged in FE-Users.

 -- Christian Welzel <gawain@camlann.de>  Mon, 26 Jan 2009 20:00:00 +0100

typo3-src (4.2.4-1) unstable; urgency=high

  * New upstream release.
    - fixes TYPO3 Security Bulletin TYPO3-SA-2009-001: Multiple vulnerabilities
      in TYPO3 Core (Closes: 512608)
  * Updated package description.
  * Updated copyright file to list the license of two icons.

 -- Christian Welzel <gawain@camlann.de>  Thu, 22 Jan 2009 12:00:00 +0100

typo3-src (4.2.3-1) unstable; urgency=high

  * New upstream release.
    - fixes XSS vulnerability in Typo3 backendmodul "fileadmin" (Closes: 505324)
    - fixes XSS vulnerability in Typo3 sysext "felogin" (Closes: 505325)
    - fixes the passwords are not changeable bug in the backend (Closes: 505326)
  * added dependency on libjs-scriptaculous

 -- Christian Welzel <gawain@camlann.de>  Tue, 11 Nov 2008 20:00:00 +0100

typo3-src (4.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Christian Welzel <gawain@camlann.de>  Wed, 25 Jun 2008 20:00:00 +0100

typo3-src (4.2.1-3) unstable; urgency=low

  * Fixed versioned dependency on libjs-prototype


