=== debian/control ===
Source: typo3-src
Section: web
Priority: optional
Maintainer: Christian Welzel <gawain@camlann.de>
Build-Depends: debhelper (>= 6.0.7)
Standards-Version: 3.8.4

Package: typo3-src-4.3
Architecture: all
Depends: ttf-dejavu, libjs-prototype (>=1.6.0), libjs-scriptaculous (>=1.8.1), libphp-adodb (>=5.07), ${misc:Depends}
Recommends: exim4 | mail-transport-agent, graphicsmagick, php5, php5-cli, php5-gd, php5-mysql, php5-xcache, typo3-database, typo3-dummy
Suggests: catdoc, ghostscript, php5-curl, ppthtml, unrtf, xlhtml, xpdf-utils
Homepage: http://www.typo3.com
Description: TYPO3 - The enterprise level open source WebCMS (Core)
 TYPO3 is a free Open Source content management system for enterprise purposes
 on the web and in intranets. It offers full flexibility and extendability while
 featuring an accomplished set of ready-made interfaces, functions and modules.
 .
 The most important key features of TYPO3 are:
  * Simple creation of multi language websites with fallback to a default
    language
  * Handling of multi domain websites within a single page tree
  * Multi user backend editing with complete GUI customisation using an
    advanced ACL system
  * An integrated workflow management system based on an multi step architecture
    with editor and supervisor privileges
  * Unlimited redefinition of the rendering process using the build-in
    TypoScript configuration interface or the plugin API
  * Thousands of plugins are available in the online TYPO3 extension repository
 .
 This package provides the core engine of TYPO3, often called The Source.

Package: typo3-database
Architecture: all
Depends: mysql-server, dbconfig-common (>= 1.8.39), debconf, ${misc:Depends}
Recommends: typo3-dummy, typo3-src-4.3
Homepage: http://www.typo3.com
Description: TYPO3 - The enterprise level open source WebCMS (Database)
 TYPO3 is a free Open Source content management system for enterprise purposes
 on the web and in intranets. It offers full flexibility and extendability while
 featuring an accomplished set of ready-made interfaces, functions and modules.
 .
 The most important key features of TYPO3 are:
  * Simple creation of multi language websites with fallback to a default
    language
  * Handling of multi domain websites within a single page tree
  * Multi user backend editing with complete GUI customisation using an
    advanced ACL system
  * An integrated workflow management system based on an multi step architecture
    with editor and supervisor privileges
  * Unlimited redefinition of the rendering process using the build-in
    TypoScript configuration interface or the plugin API
  * Thousands of plugins are available in the online TYPO3 extension repository
 .
 This package provides the basic structure and some predefined datasets of a
 TYPO3 database. You should install this package on the host you intend to
 run the TYPO3 database on.

Package: typo3
Architecture: all
Depends: typo3-database, typo3-dummy, typo3-src-4.3, ${misc:Depends}
Homepage: http://www.typo3.com
Description: The enterprise level open source WebCMS (Meta)
 TYPO3 is a free Open Source content management system for enterprise purposes
 on the web and in intranets. It offers full flexibility and extendability while
 featuring an accomplished set of ready-made interfaces, functions and modules.
 .
 The most important key features of TYPO3 are:
  * Simple creation of multi language websites with fallback to a default
    language
  * Handling of multi domain websites within a single page tree
  * Multi user backend editing with complete GUI customisation using an
    advanced ACL system
  * An integrated workflow management system based on an multi step architecture
    with editor and supervisor privileges
  * Unlimited redefinition of the rendering process using the build-in
    TypoScript configuration interface or the plugin API
  * Thousands of plugins are available in the online TYPO3 extension repository
 .
 This package depends on all TYPO3 packages that are neccassary to build a local
 running TYPO3 installation.
