=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# If your package is located on sourceforge, use the following format
# to automatically use the qa.debian.org redirector, avoiding SF's
# difficult mirror system.
opts="dversionmangle=s/~//" \
  http://sf.net/typo3/typo3_src-(.*)\.tar\.gz
