=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	dh_installdirs -p $(SOURCEPACKAGE) $(T3EXTDIR)
 	dh_installdirs -p $(DBASEPACKAGE) $(SQLDIR) etc/$(DBASEPACKAGE)
 	cp -r index.php misc t3lib typo3 $(SOURCEINSTALLDIR)
-	perl -ne 'print(unpack "u", $$_);' debian/nimbus.sfd.gz.uuencoded > $(SOURCEINSTALLDIR)/t3lib/fonts/nimbus.sfd.gz
+	cp debian/nimbus.sfd.gz $(SOURCEINSTALLDIR)/t3lib/fonts
 	cp debian/mysql $(SQLINSTALLDIR)
 	rm -f $(SOURCEINSTALLDIR)/typo3/LICENSE.txt
 	rm -f $(SOURCEINSTALLDIR)/typo3/sysext/rtehtmlarea/htmlarea/HTMLAREA_LICENSE.txt
