## typo3-src 4.3.8+dfsg1

=== debian/changelog ===
typo3-src (4.3.8+dfsg1-2) unstable; urgency=low

  * Fixed wrong code removal from last version.

 -- Christian Welzel <gawain@camlann.de>  Fri, 28 Nov 2010 22:00:00 +0200

typo3-src (4.3.8+dfsg1-1) unstable; urgency=low

  * Removed typo3/contrib/jsmin/jsmin.php because of non free license
    (Closes: 602250)
  * Added notice about license of qtobject.js to copyright file.
  * Added README.source.

 -- Christian Welzel <gawain@camlann.de>  Fri, 26 Nov 2010 22:00:00 +0200
