## typo3-src 4.3.9+dfsg1

=== debian/changelog ===
typo3-src (4.3.9+dfsg1-1+squeeze1build0.11.04.1) natty-security; urgency=low

  * fake sync from Debian

 -- Steve Beattie <sbeattie@ubuntu.com>  Sun, 29 Jan 2012 13:10:59 -0800

typo3-src (4.3.9+dfsg1-1+squeeze1) squeeze-security; urgency=high

  * Security patch from new upstream release 4.3.12:
    - fixes: "TYPO3 Security Bulletin TYPO3-CORE-SA-2011-001: Multiple
      vulnerabilities in TYPO3 Core" (Closes: 635937)

 -- Christian Welzel <gawain@camlann.de>  Fri, 29 Jul 2011 22:00:00 +0100

typo3-src (4.3.9+dfsg1-1) unstable; urgency=high

  * New upstream release:
    - fixes: "TYPO3 Security Bulletin TYPO3-SA-2010-022: Multiple
      vulnerabilities in TYPO3 Core" (Closes: 607286)
  * Added source for player.swf and flvplayer.swf (see #591969).
  * Corrected watch file.
  * Added rule "dfsg" to rules to remove non free files.

 -- Christian Welzel <gawain@camlann.de>  Thu, 16 Dec 2010 22:00:00 +0100
