=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christian Welzel <gawain@camlann.de>
 Build-Depends: debhelper (>= 6.0.7)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: typo3-src-4.3
 Architecture: all
