=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 
 SOURCEINSTALLDIR=debian/$(SOURCEPACKAGE)/$(T3SRCDIR)
 SQLINSTALLDIR=debian/$(DBASEPACKAGE)/$(SQLDIR)
+
+TGZVERSION=$(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -d "-" -f 1)
+ORIGTAR=../typo3-src_$(TGZVERSION).orig.tar
 
 clean:
 	dh_testdir
@@ -78,5 +81,11 @@
 binary-arch: build install
 
 binary: binary-indep binary-arch
+
+dfsg:
+	gunzip -f $(ORIGTAR).gz
+	tar --delete --wildcards -f $(ORIGTAR) typo3_src-*/typo3/contrib/jsmin/jsmin.php
+	gzip $(ORIGTAR)
+
 .PHONY: build clean binary-indep binary-arch binary install
