=== debian/watch ===
--- 
+++ 
@@ -4,6 +4,6 @@
 # If your package is located on sourceforge, use the following format
 # to automatically use the qa.debian.org redirector, avoiding SF's
 # difficult mirror system.
-opts="dversionmangle=s/~//" \
+opts="dversionmangle=s/+dfsg1~//" \
   http://sf.net/typo3/typo3_src-(.*)\.tar\.gz
