## typo3-src 4.5.3+dfsg1

=== debian/changelog ===
typo3-src (4.5.3+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Patches refreshed.
  * debian/rules: set correct permissions for cron script.

 -- Christian Welzel <gawain@camlann.de>  Wed, 1 Jun 2011 22:00:00 +0100
