## typo3-src 4.5.8+dfsg1

=== debian/changelog ===
typo3-src (4.5.8+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Adopted patch 02-dummy-defaults.patch to new localconf.php.
  * Removed unused lintian override "embedded-php-library".
  * Added build-arch to build-indep rules.
  * Raised standards version to 3.9.2

 -- Christian Welzel <gawain@camlann.de>  Thu, 13 Dec 2011 20:00:00 +0100
