## typo3-src 4.5.9+dfsg1

=== debian/changelog ===
typo3-src (4.5.9+dfsg1-1) unstable; urgency=high

  * New upstream release:
    - fixes: "TYPO3 Security Bulletin TYPO3-CORE-SA-2011-004: Remote
      Code Execution in TYPO3 Core" (Closes: #652365)

 -- Christian Welzel <gawain@camlann.de>  Fri, 16 Dec 2011 20:00:00 +0100
