=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christian Welzel <gawain@camlann.de>
 Build-Depends: debhelper (>= 7), po-debconf
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: typo3-src-4.5
 Architecture: all
