## typo3-src 4.5.14+dfsg1

=== debian/changelog ===
typo3-src (4.5.14+dfsg1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Add myself to uploaders.

 -- Holger Levsen <holger@debian.org>  Sat, 31 Mar 2012 19:23:43 +0200

typo3-src (4.5.14+dfsg1-1) unstable; urgency=high

  * New upstream release:
    - fixes: "TYPO3 Security Bulletin TYPO3-CORE-SA-2012-001: Several
      Vulnerabilities in TYPO3 Core" (Closes: 666074)
  * Package descriptions rewritten
  * Reworked copyright file
  * Add RSA-Auth to default configuration
  * Fix description of patch 05-add-source-for-mediaplayer-swfs.patch
  * Added source for modernizr and and swfupload as debian-patches
  * Added target "get-orig-source" to rules to fetch upstream blankpackage.zip
    file and repack it to .tar.gz
  * Removed find-sql target from rules
  * Added target prepare-source to rules
  * Adopted watch file for zip download
  * Added note about creation of source package to README.source
  * Changed depend from ttf-dejavu to ttf-bitstream-vera. Adjusted symlink of
    vera.tff accordingly.
  * Refreshed patches for removed "dummy" directory.
  * Bumped standards version to 3.9.3
  * Added description to patches 07 and 08.

 -- Christian Welzel <gawain@camlann.de>  Wed, 28 Mar 2012 15:47:41 +0200

typo3-src (4.5.13+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Added Dutch debconf translation (Closes: 661129)
  * Ported patch 06-fix-im-command.patch to new class.t3lib_utility_command.php
  * Added description to patches
  * Removed embedded copy of swfobject, added depends on libjs-swfobject
  * Remove .gitignore from linkvalidator subfolder
  * Added lintian override
    typo3-dummy: init.d-script-does-not-implement-optional-option
  * Added lintian override for typo3-src-4.5: font-in-non-font-package
    (nimbus.ttf)
  * Rewritten short description of binary package typo3.

 -- Christian Welzel <gawain@camlann.de>  Sat, 17 Mar 2012 13:44:38 +0100

typo3-src (4.5.11+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Changed symlink of prototype.js to point to prototype-1.js instead
    of prototype-1.6.js (Closes: 651128)

 -- Christian Welzel <gawain@camlann.de>  Sat, 11 Feb 2012 21:51:10 +0100
