=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,30 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+# export DH_VERBOSE=1
 
-SOURCEVERSION=4.5
-PACKAGENAME=typo3_src-$(SOURCEVERSION)
-SOURCEPACKAGE=typo3-src-$(SOURCEVERSION)
+# SOURCEVERSION:=$(shell dpkg-parsechangelog | sed -rne 's,^Source: typo3-src(-.+),\1,p')
+SOURCEVERSION:=-4.5
 
-T3SRCDIR=usr/share/typo3/$(PACKAGENAME)
+PACKAGENAME:=typo3_src$(SOURCEVERSION)
+SOURCEPACKAGE:=typo3-src$(SOURCEVERSION)
 
-SOURCEINSTALLDIR=debian/$(SOURCEPACKAGE)/$(T3SRCDIR)
+T3SRCDIR:=usr/share/typo3/$(PACKAGENAME)
+
+SOURCEINSTALLDIR:=debian/$(SOURCEPACKAGE)/$(T3SRCDIR)
 
 DOCROOTDIR=debian/typo3-dummy/var/lib/typo3-dummy
 ETCDIR=debian/typo3-dummy/etc/typo3-dummy
 
-TGZVERSION=$(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -d "-" -f 1)
-ORIGTAR=../typo3-src_$(TGZVERSION).orig.tar
+MAIN_TGZ_VERSION:=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
+SUB_TGZ_VERSION:=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.*)\+dfsg1~([^-]+).*,\2,p')
+SUB2_TGZ_VERSION:=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.*)\+dfsg1([^-]+).*,\2,p')
+
+ORIG_DIR:=$(SOURCEPACKAGE)_$(MAIN_TGZ_VERSION)+dfsg1$(SUB2_TGZ_VERSION)
+BLANK_DIR:=blankpackage-$(MAIN_TGZ_VERSION)$(SUB_TGZ_VERSION)
+
+ORIGTAR:=$(SOURCEPACKAGE)_$(MAIN_TGZ_VERSION)$(SUB_TGZ_VERSION).orig.tar
+DEBTAR:=$(SOURCEPACKAGE)_$(MAIN_TGZ_VERSION)+dfsg1$(SUB2_TGZ_VERSION).orig.tar
 
 clean:
 	dh_testdir
@@ -33,7 +42,9 @@
 	cp -r index.php t3lib typo3 $(SOURCEINSTALLDIR)
 	cp debian/nimbus.sfd.gz $(SOURCEINSTALLDIR)/t3lib/fonts
 #set correct permissions for cron script
-	chmod a+x $(SOURCEINSTALLDIR)/typo3/cleaner_check.sh $(SOURCEINSTALLDIR)/typo3/cleaner_fix.sh $(SOURCEINSTALLDIR)/typo3/cli_dispatch.phpsh
+	chmod a+x $(SOURCEINSTALLDIR)/typo3/cleaner_check.sh \
+		  $(SOURCEINSTALLDIR)/typo3/cleaner_fix.sh \
+		  $(SOURCEINSTALLDIR)/typo3/cli_dispatch.phpsh
 #remove additional license files
 	rm -f $(SOURCEINSTALLDIR)/typo3/LICENSE.txt
 	rm -f $(SOURCEINSTALLDIR)/typo3/sysext/rtehtmlarea/htmlarea/HTMLAREA_LICENSE.txt
@@ -62,6 +73,9 @@
 	rm -rf $(SOURCEINSTALLDIR)/typo3/contrib/scriptaculous
 	rm -rf $(SOURCEINSTALLDIR)/typo3/sysext/adodb/adodb
 	rm -rf $(SOURCEINSTALLDIR)/typo3/contrib/swiftmailer
+	rm -rf $(SOURCEINSTALLDIR)/typo3/contrib/flashmedia/swfobject
+# fix other stuff
+	rm -rf $(SOURCEINSTALLDIR)/typo3/sysext/linkvalidator/.gitignore
 
 binary-indep: build install
 	dh_testdir
@@ -91,21 +105,28 @@
 build-arch: build
 build-indep: build
 
-# Note to me: how to find all sql files:
-find-sql:
-	cat ../t3lib/stddb/tables.sql ../typo3/sysext/sys_note/ext_tables.sql ../typo3/sysext/extbase/ext_tables.sql \
-		../typo3/sysext/tsconfig_help/ext_tables.sql ../typo3/sysext/sys_action/ext_tables.sql ../typo3/sysext/felogin/ext_tables.sql \
-		../typo3/sysext/dbal/ext_tables.sql ../typo3/sysext/saltedpasswords/ext_tables.sql ../typo3/sysext/openid/ext_tables.sql \
-		../typo3/sysext/rsaauth/ext_tables.sql ../typo3/sysext/rtehtmlarea/ext_tables.sql ../typo3/sysext/impexp/ext_tables.sql \
-		../typo3/sysext/cms/ext_tables.sql ../typo3/sysext/scheduler/ext_tables.sql ../typo3/sysext/indexed_search/ext_tables.sql \
-	> mysql_raw.sql
+get-orig-source:
+# get source
+	uscan --no-conf --force-download --rename --repack --download-current-version --destdir=.
+# unpack and rename
+	mkdir -p _unpack
+	tar -xzf $(ORIGTAR).gz -C _unpack
+	mv _unpack/$(BLANK_DIR) _unpack/$(ORIG_DIR)
+# remove dfsg non complient files
+	rm -f _unpack/$(ORIG_DIR)/typo3/contrib/jsmin/jsmin.php
+# remove embedded libraries
+	rm -rf _unpack/$(ORIG_DIR)/typo3/contrib/swiftmailer
+	rm -rf _unpack/$(ORIG_DIR)/typo3/contrib/prototype
+	rm -rf _unpack/$(ORIG_DIR)/typo3/contrib/scriptaculous
+# repack
+	tar -czf $(DEBTAR).gz -C _unpack $(ORIG_DIR)
+	rm -rf _unpack
 
-dfsg:
+prepare-source:
 	dh_testdir
-	gunzip -f $(ORIGTAR).gz
-	tar --delete --wildcards -f $(ORIGTAR) typo3_src-*/typo3/contrib/jsmin/jsmin.php
-	gzip $(ORIGTAR)
-	rm -f typo3/contrib/jsmin/jsmin.php
+	mv $(ORIGTAR).gz ../
+	mv $(DEBTAR).gz ../
+	tar --strip-components 1 -C . -xzf ../$(DEBTAR).gz
 
 # Build architecture-dependent files here.
 binary-arch: build install
